{% extends 'base/base.html' %}

{% load static %}

{% block page_content %}
   <form method="POST" class="form-inline" role="form" enctype="multipart/form-data">
       {% csrf_token %}
        <div class="col-xl-10 col-md-12 mb-10">
            
            {% if obj %}      
                <div class="card border-left-warning shadow h-100 py-2">
            {% else %}
                <div class="card border-left-success shadow h-100 py-2">
            {% endif %}
                <div class="card-body ">
                    <div class="row no-gutters align-items-center">
                        <div class="col mr-2">
                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                {% if obj %} Editar {% else %} Nuevo {% endif %} Encargado de Ruta
                            </div>                        
                            <div class="dropdown-divider"></div>  

                            <div class="row">
                                <div class="col-md-3"></div>
                                <div class="col-md-6 mb-3">
                                    <div class="card m-auto" style="width: 15rem;">
                                                                                                                
                                        {% if obj.foto %}
                                            <img src="{{ obj.foto.url }}" class="card-img-top" alt="..." height="250px" width="30px">
                                        {% endif %}                                        
                                                                            
                                        <div class="card-body">
                                          <h5 class="card-title text-md-center">Encargado de Ruta: <br> {{ obj.nombres }} {{ obj.ap_paterno }} {{ obj.ap_materno }}</h5>                                      
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3"></div>
                            </div>
                            
                            <!-- fila 1 -->
                            <div class="row mb-3">
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.nombres.label }}:
                                    <div class="input-group">                                        
                                        {{ form.nombres }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.ap_paterno.label }}:
                                    <div class="input-group">
                                        {{ form.ap_paterno }}
                                    </div>
                                </div>     
                                
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.ap_materno.label }}:
                                    <div class="input-group">                                        
                                        {{ form.ap_materno }}
                                    </div>
                                </div>
                            </div>

                            <!-- fila 2 -->
                            <div class="row mb-3">                               
                                <div class="col-md-4 text-uppercase font-weight-bold">
                                    {{ form.sexo.label }}:
                                    <div class="input-group">
                                        {{ form.sexo }}
                                    </div>
                                </div>     
                                
                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.telefono.label }}:
                                    <div class="input-group">
                                        {{ form.telefono }}
                                    </div>
                                </div>

                                <div class="col-md-4 text-uppercase font-weight-light">
                                    {{ form.domicilio.label }}:
                                    <div class="input-group">
                                        {{ form.domicilio }}
                                    </div>
                                </div>     
                            </div>

                            <!-- fila 3 -->
                            <div class="row mb-3">
                                <div class="col-md-6 text-uppercase font-weight-light">
                                    {{ form.email.label }}:
                                    <div class="input-group">
                                        {{ form.email }}
                                    </div>
                                </div>

                                <div class="col-md-6 text-uppercase font-weight-bold">                                    
                                    {{ form.departamento.label }}:
                                    <div class="input-group">
                                        {{ form.departamento }}
                                    </div>
                                </div>      
                                                                 
                            </div> 
                            
                            <div class="row">
                                <div class="col-2"></div>

                                <div class="col-md-8 text-uppercase font-weight-light">                                    
                                    {{ form.foto.label }}:
                                    <div class="input-group">
                                        {{ form.foto }}
                                        <!-- <input type="file" name="id_foto" id="id_foto" accept="image-er/*"> -->
                                    </div>
                                </div> 
                                
                                <div class="col-2"></div>
                            </div>
                                                                                            
                            <!-- {{ form.as_p }} -->
                            <div class="dropdown-divider"></div>
                            <div class="row mt-3">
                                <div class="col-2"></div>

                                <div class="col-4">
                                    <button type="submit" class="btn btn-danger btn-block">
                                        <span class="fa fa-save"></span> Guardar
                                    </button>
                                </div>

                                <div class="col-4">                                    
                                    <a href="{% url 'apoyos:encargados_list' %}" class="btn btn-success btn-block">                                                                               
                                        <span class="fa fa-undo"></span> Cancelar                                         
                                    </a>                                  
                                </div>
                                    
                                <div class="col-2"></div>                                                                       
                            </div>                                  
                            
                        </div>                        
                    </div>
                </div>
            </div>
        </div>
   </form>  
{% endblock page_content %}    
{% block js_page %} {% endblock js_page %}
    